import * as moment from 'moment';
declare class DateRange {
    start: any;
    end: any;
}
declare class DefinedDateRange {
    name: string;
    value: DateRange;
}
export declare class Timepicker {
    minuteInterval: number;
    twentyFourHourFormat: boolean;
}
export declare class Options {
    startDate: string | moment.Moment | any;
    endDate: string | moment.Moment | any;
    minDate: string | moment.Moment | any;
    maxDate: string | moment.Moment | any;
    format: string;
    displayFormat: string;
    inactiveBeforeStart: boolean;
    autoApply: boolean;
    singleCalendar: boolean;
    preDefinedRanges: DefinedDateRange[];
    noDefaultRangeSelected: boolean;
    showRanges: boolean;
    position: string;
    disabled: boolean;
    timePicker: Timepicker;
    disableBeforeStart: boolean;
    alwaysOpen: boolean;
}
export {};
